
Redmine - Defect #9751

can't open issue list page and setting page on Ruby 1.8.6

2011-12-08 03:09 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Tests fail on Ruby 1.8.6.

 47) Error:

test_public_query_should_be_available_to_other_users(IssuesControllerTest):

ArgumentError: wrong number of arguments (0 for 1)

    app/models/query.rb:366:in `index'

    app/models/query.rb:366:in `available_columns'

    app/models/query.rb:393:in `sortable_columns'

    app/controllers/issues_controller.rb:68:in `index'

    test/functional/issues_controller_test.rb:299:in `test_public_query_should_be_available_to_oth

er_users'

Related issues:

Related to Redmine - Feature #971: Add "Spent time" column to query Closed 2008-04-01

Associated revisions

Revision 8128 - 2011-12-08 19:50 - Jean-Philippe Lang

Tests broken with ruby1.8.6 (#9751).

History

#1 - 2011-12-08 09:19 - Etienne Massip

- Target version set to 1.4.0

This is tied to #971 which is due for 1.4.0; hence the question: should 1.4.0 still supports Ruby 1.8.6, which is EOL at the end of the year?

#2 - 2011-12-08 09:20 - Etienne Massip

- Category set to Ruby support

#3 - 2011-12-08 09:22 - Toshi MARUYAMA

It seems bundler does not support Ruby 1.8.6.

I think it is good time to stop supporting Ruby 1.8.6.

#4 - 2011-12-08 19:53 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version deleted (1.4.0)

- Resolution set to Fixed

That was easy to fix so I fixed it in r8128, but I agree that ruby1.8.6 support in Redmine 1.4.0 may be dropped.
